API Referenceapipatient-graphGET /v1/patients/{id}/profile

GET /v1/patients/\{id\}/profile

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Non-PHI patient summary (visit count, last encounter, etc.)

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "encounter_count": {
      "type": "number"
    },
    "last_encounter_date": {
      "type": [
        "string",
        "null"
      ]
    },
    "active_medication_count": {
      "type": "number"
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "brand_id",
    "status",
    "encounter_count",
    "last_encounter_date",
    "active_medication_count",
    "created_at"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/{id}/profile \
  -H "Authorization: Bearer $ACCESS_TOKEN"